Bug 93890 - FILEOPEN clean-up of bookmark-start and -end breaks references
Summary: FILEOPEN clean-up of bookmark-start and -end breaks references
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.2.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Bookmarks
  Show dependency treegraph
 
Reported: 2015-09-03 13:54 UTC by Malte
Modified: 2019-06-20 02:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
This python3 script reduces redundant bookmarks without forgetting the references. (3.16 KB, text/plain)
2015-09-03 13:54 UTC, Malte
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Malte 2015-09-03 13:54:40 UTC
Created attachment 118393 [details]
This python3 script reduces redundant bookmarks without forgetting the references.

Hi,

this affects at least LibreOffice 4.4.2 and 5.0 on Kubuntu 15.04.

LibreOffice Writer 4.3 for reasons unknown to me wraps some elements in multiple bookmarks and references them in a scheme unknown to me later in the document.

Within 4.3 this is fine.


But as of 4.4 Writer cleans up redundant bookmarks without fixing the references which results in "Error: reference source not found" throughout the document.


The proper procedure should be to acknowledge the different bookmarks and amend the references after reducing the bookmarks to one.


I attached a Python script that does that for .fodt (Flat XML ODT) files. It's not pretty and I welcome suggestions for improvement or fixing the issue in 4.4 and 5.0 versions of LibreOffice. I'm pretty sure there are many users of Ubuntu LTS who we spare a headache or two if we fix this before 16.04 (for that it would be good to have the fixed version in Debian until December this year).


Sincerely,

Malte
Comment 1 Malte 2015-09-03 13:59:21 UTC
filed as FILEOPEN as the clean up seems to run on opening documents (in complex document one can acutally see, how the references break one by one...).
Comment 2 Cor Nouws 2015-09-03 15:19:27 UTC
Thanks a lot Malte for the script and the given information.

@Caolan, @Michael .. ideas?
Comment 3 QA Administrators 2016-09-20 10:29:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920